PImage img = loadImage("albers-11115234.png");

//creates the form points and calls the base points, adds them together
PVector[] createBaseRadiusPoints(float _layerHeight, float _startingZ) {
  int ntotal = img.width*img.height;
  PVector[] ptsOuter = new PVector[ntotal];
  PVector[] ptsInner = new PVector[ntotal];
  PVector[] concatPts = new PVector[ntotal*2];//for two walls

  for (int y=0; y<img.height; y++) {
    for (int x=0; x<img.width; x++) {

      int inc = x+y*img.width;
      //getting radius from image pixels
      cR[inc] = img.pixels[inc];  

      //outside
      float rT = cR[inc]);
      float xT = rT*sin(theta);
      float yT = rT*cos(theta);

      //inside form is offset by the pathwidth of the clay coil
      float rT2 = cR[inc]-pathWidth;
      float xT2 = rT2*sin(theta);
      float yT2 = rT2*cos(theta);

      int countVal1 = (y*(img.width*2))+x;
      int countVal2 = ((y*(img.width*2))+ img.width)+ x;
      ptsInner[inc] = new PVector(xT2, yT2, _startingZ+y*_layerHeight);
      ptsOuter[inc] = new PVector(xT, yT, _startingZ+y*_layerHeight);

      concatPts[countVal1] = new PVector(ptsInner[inc].x, ptsInner[inc].y, ptsInner[inc].z);
      concatPts[countVal2] = new PVector(ptsOuter[inc].x, ptsOuter[inc].y, ptsOuter[inc].z);

      theta+=angleStep;
    }
  }

  return concatPts;
}
}
